IWORKNumberConverter.h File Reference
`#include <boost/optional.hpp>`
`#include "IWORKEnum.h"`

Go to the source code of this file.

## Classes
struct | libetonyek::IWORKNumberConverter< T >

## Namespaces
namespace | libetonyek

## Macros
#define | IWORK_DECLARE_NUMBER_CONVERTER(type)

## Functions
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (bool)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (double)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (int)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (IWORKAlignment)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (IWORKBaseline)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (IWORKBorderType)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (IWORKCapitalization)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (IWORKCellNumberType)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (IWORKStrokeType)
| libetonyek::IWORK_DECLARE_NUMBER_CONVERTER (IWORKVerticalAlignment)

## Macro Definition Documentation

## ◆ IWORK_DECLARE_NUMBER_CONVERTER

#define IWORK_DECLARE_NUMBER_CONVERTER | ( |  | type | ) |

Value:
template<> \
struct IWORKNumberConverter<type> \
{ \
static boost::optional<type> convert (const char *value); \
static boost::optional<type> convert (unsigned value); \
}